Package net.sourceforge.jiu.data

# Interface Gray8Image

All Superinterfaces:
  `ByteChannelImage`, `GrayImage`, `GrayIntegerImage`, `IntegerImage`, `PixelImage`

All Known Implementing Classes:
  `MemoryGray8Image`

public interface Gray8Image extends GrayIntegerImage, ByteChannelImage
Interface for grayscale images using integer samples that are eight bits large. Valid sample values must lie in the interval 0 to 255 (including both of those values). Like all grayscale images, implementations of this class are supposed to have one channel only. Simply merges the two interfaces GrayIntegerImage and ByteChannelImage without adding new methods.

Author:
  Marco Schmidt
See Also:
  - `ByteChannelImage`
  - `GrayIntegerImage`

## Method Summary

### Methods inherited from interface net.sourceforge.jiu.data.ByteChannelImage

`clear, clear, getByteSample, getByteSample, getByteSamples, putByteSample, putByteSample, putByteSamples`

### Methods inherited from interface net.sourceforge.jiu.data.GrayImage

`isBlack, isWhite, putBlack, putWhite`

### Methods inherited from interface net.sourceforge.jiu.data.IntegerImage

`clear, clear, getMaxSample, getSample, getSample, getSamples, putSample, putSample, putSamples`

### Methods inherited from interface net.sourceforge.jiu.data.PixelImage

`createCompatibleImage, createCopy, getAllocatedMemory, getBitsPerPixel, getHeight, getImageType, getNumChannels, getWidth`